Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Windows >> Opera relative path directory traversal file corruption vulnerability


Vulnerability Assessment Details

Opera relative path directory traversal file corruption vulnerability

Vulnerability Assessment Summary
Acertains the version of Opera.exe

Detailed Explanation for this Vulnerability Assessment

The version of Opera installed on the remote host is vulnerable to a
file corruption vulnerability. This issue is exposed when a user is
presented with a file dialog, which will cause the creation of a
temporary file. It is possible to specify a relative path to another
file on the system using directory traversal sequences when the
download dialog is displayed. If the client user has write
permissions to the attacker-specified file, it will be corrupted.

This could be exploited to delete sensitive files on the systems.

Solution : Install Opera 7.23 or newer.
Network Security Threat Level: High

Networks Security ID: 9279

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 David Maciejak

Cables, Connectors

Lenovo Thinkpad Pro Dock Docking Station FRU 00HM918 X240 X250 T440
$50.0
Lenovo Thinkpad Pro Dock Docking Station FRU 00HM918 X240 X250 T440 pictureLenovo Y27f 27" Full HD Curved Widescreen Gaming Monitor with FreeSync
$399.99
Lenovo Y27f 27Lenovo ideaPad 310 15.6" HD Notebook Computer #80TV00W1US
$699.99
Lenovo ideaPad 310 15.6IBM Lenovo W541. Core i7 - 4810MQ @ 2.80GHz. 32GB. 660GB SSD. Windows 10 Pro
$799.99
IBM Lenovo W541. Core i7 - 4810MQ @ 2.80GHz. 32GB. 660GB SSD. Windows 10 Pro picture


Discussions

No Discussions have been posted on this vulnerability.